--- /dev/null
+apt-cn
++----+
+
+Paket donosi ispravan popis repozitorija paketa za CARNet Debian 3.0.
+
+Ako zelite koristiti samo sources.list preporucen od CARNeta, pokrenite:
+
+# install-carnet-sources.list
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Tue, 18 Sep 2007 15:12:12 +0200
--- /dev/null
+apt-cn (3.0.0) sarge; urgency=low
+
+ * Prva verzija za Etch
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Tue, 18 Sep 2007 15:15:10 +0200
+
+apt-cn (2.1.5) sarge; urgency=low
+
+ * provjera u postinstu da li postoji non-US, ako postoji javi da
+ je zastario
+ * dodan apt-get update prilikom izmjene sources.list u skripti
+ install-carnet-sources.list
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Fri, 2 Sep 2005 17:41:44 +0100
+
+apt-cn (2.1.4) sarge; urgency=low
+
+ * izbacen non-US dio (postinst + examples) jer se vise ne koristi
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Tue, 30 Aug 2005 18:05:40 +0200
+
+apt-cn (2.1.3) sarge; urgency=low
+
+ * ispravka skripte 'install-carnet-sources.list'
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Thu, 25 Aug 2005 20:58:05 +0200
+
+apt-cn (2.1.2) sarge; urgency=low
+
+ * dodana ovisnost o carnet-tools-cn
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Mon, 13 Jun 2005 19:53:48 +0200
+
+apt-cn (2.1.1) sarge; urgency=low
+
+ * izmjena adrese repozitorija CARNetovih paketa
+ * dolazi skripta 'install-carnet-sources.list'
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Fri, 3 Jun 2005 09:38:11 +0200
+
+apt-cn (2.1) sarge; urgency=low
+
+ * inicijalna verzija
+
+ -- Ivan 'ico' Rako <irako@srce.hr> Wed, 11 May 2005 17:27:30 +0200
--- /dev/null
+../changelog.CARNet
\ No newline at end of file
--- /dev/null
+Source: apt-cn
+Section: net
+Priority: optional
+Maintainer: Ivan Rako <Ivan.Rako@CARNet.hr>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: apt-cn
+Architecture: all
+Depends: ntp, ntpdate, ntp-server
+Description: Network Time Protocol: server and utilities
+ NTP, the Network Time Protocol, is used to keep computer clocks accurate
+ over the Internet, or by following an accurate hardware receiver which
+ interprets GPS, DCF-77, NIST or similar time signals.
--- /dev/null
+README.CARNet
+changelog.CARNet
--- /dev/null
+install-carnet-sources.list usr/sbin
--- /dev/null
+#!/bin/sh
+
+set -e
+
+[ "$1" = "configure" ] || exit 0
+
+repos_regexp="
+^deb .*tp://security.debian.org etch/updates main contrib non-free
+^deb .*tp://ftp.carnet.hr/.*debian etch main contrib non-free
+^deb .*tp://ftp.carnet.hr/carnet-debian etch main non-free"
+
+repos="
+1 deb http://security.debian.org etch/updates main contrib non-free
+2 deb http://ftp.carnet.hr/debian etch main contrib non-free
+3 deb http://ftp.carnet.hr/carnet-debian etch main non-free"
+
+notneeded_repos_regexp="^deb.*tp://.*debian-non-US"
+
+IFS="
+"
+
+counter=1
+for i in $repos_regexp; do
+ if ! grep -q "$i" /etc/apt/sources.list; then
+ needed="$needed $counter"
+ fi
+ counter=$(($counter + 1))
+done
+
+if grep -q "$notneeded_repos_regexp" /etc/apt/sources.list; then
+ echo "CN: Following repositories are obsolete:"
+ grep "$notneeded_repos_regexp" /etc/apt/sources.list
+ echo ""
+fi
+
+if [ ! -z "$needed" ]; then
+ echo "CN: Following repositories are not found in your sources list:"
+ IFS=" "
+ for i in $needed; do
+ echo $repos | grep ^$i | cut -c3-300
+ done
+ echo ""
+ echo "CN: You can add the above to /etc/apt/sources.list or just:"
+ echo "CN: # install-carnet-sources.list"
+fi
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ # $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ # -$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/apt-cn.
+ # $(MAKE) install DESTDIR=$(CURDIR)/debian/apt-cn
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installchangelogs -k
+ dh_installdocs
+# dh_installexamples
+ dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+# dh_link
+# dh_strip
+# dh_compress
+ dh_fixperms
+# dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+# dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- /dev/null
+#!/bin/sh
+
+if ! cmp -s /usr/share/doc/apt-cn/sources.list /etc/apt/sources.list; then
+ . /usr/share/carnet-tools/functions.sh
+ echo "CN: Backing up old /etc/apt/sources.list to /var/backups/."
+ echo "CN: Installing new /etc/apt/sources.list."
+ echo ""
+ cp_backup_conffile /etc/apt/sources.list
+ cp /usr/share/doc/apt-cn/sources.list /etc/apt/sources.list
+ apt-get update
+else
+ echo "CN: Valid CARNet's /etc/apt/sources.list already exists."
+ echo "CN: Nothing to do."
+ echo ""
+fi
+
--- /dev/null
+# See sources.list(5) for more information, especialy
+# Remember that you can only use http, ftp or file URIs
+# CDROMs are managed through the apt-cdrom tool.
+deb http://ftp.carnet.hr/debian etch main contrib non-free
+deb http://security.debian.org etch/updates main contrib non-free
+
+# CARNet Debian Linux v3
+deb http://ftp.carnet.hr/carnet-debian etch main non-free
+
+# Uncomment if you want the apt-get source function to work
+#deb-src http://ftp.carnet.hr/debian etch main contrib non-free